static liq_trans_map_t liq_trans_map_0[37]= {
  {0x000000,0} /* Cc vs BN */,
  {0x000010,0} /* Cc vs BN */,
  {0x000097,0} /* Cc vs BN */,
  {0x00000f,0} /* Cc vs BN */,
  {0x000012,0} /* Cc vs BN */,
  {0x000099,0} /* Cc vs BN */,
  {0x000011,0} /* Cc vs BN */,
  {0x00200e,1} /* Cf vs L */,
  {0x000003,0} /* Cc vs BN */,
  {0x00008a,0} /* Cc vs BN */,
  {0x00009a,0} /* Cc vs BN */,
  {0x000089,0} /* Cc vs BN */,
  {0x00200f,1} /* Cf vs R */,
  {0x00009c,0} /* Cc vs BN */,
  {0x00008b,0} /* Cc vs BN */,
  {0x000600,1} /* Cf vs AN */,
  {0x000006,0} /* Cc vs BN */,
  {0x00008d,0} /* Cc vs BN */,
  {0x0110bd,1} /* Cf vs L */,
  {0x000008,0} /* Cc vs BN */,
  {0x00008f,0} /* Cc vs BN */,
  {0x00009f,0} /* Cc vs BN */,
  {0x00008e,0} /* Cc vs BN */,
  {0x000603,1} /* Cf vs AN */,
  {0x000080,0} /* Cc vs BN */,
  {0x000090,0} /* Cc vs BN */,
  {0x00007f,0} /* Cc vs BN */,
  {0x1fffff,0},
  {0x00001b,0} /* Cc vs BN */,
  {0x000081,0} /* Cc vs BN */,
  {0x000091,0} /* Cc vs BN */,
  {0x000094,0} /* Cc vs BN */,
  {0x000083,0} /* Cc vs BN */,
  {0x000093,0} /* Cc vs BN */,
  {0x000082,0} /* Cc vs BN */,
  {0x00000e,0} /* Cc vs BN */,
  {0x000095,0} /* Cc vs BN */,
};
static liq_trans_map_t liq_trans_map_1[37]= {
  {0x000084,0} /* Cc vs BN */,
  {0x000601,1} /* Cf vs AN */,
  {0x00001a,0} /* Cc vs BN */,
  {0x000092,0} /* Cc vs BN */,
  {0x0006dd,1} /* Cf vs AN */,
  {0x000007,0} /* Cc vs BN */,
  {0x000014,0} /* Cc vs BN */,
  {0x00008c,0} /* Cc vs BN */,
  {0x000015,0} /* Cc vs BN */,
  {0x000001,0} /* Cc vs BN */,
  {0x000602,1} /* Cf vs AN */,
  {0x000086,0} /* Cc vs BN */,
  {0x00009b,0} /* Cc vs BN */,
  {0x000087,0} /* Cc vs BN */,
  {0x000cc6,1} /* Mn vs L */,
  {0x1fffff,0},
  {0x000cbf,1} /* Mn vs L */,
  {0x000016,0} /* Cc vs BN */,
  {0x000002,0} /* Cc vs BN */,
  {0x000017,0} /* Cc vs BN */,
  {0x00070f,1} /* Cf vs AL */,
  {0x000604,1} /* Cf vs AN */,
  {0x000088,0} /* Cc vs BN */,
  {0x00009d,0} /* Cc vs BN */,
  {0x00fff9,1} /* Cf vs ON */,
  {0x000096,0} /* Cc vs BN */,
  {0x1fffff,0},
  {0x1fffff,0},
  {0x000018,0} /* Cc vs BN */,
  {0x000004,0} /* Cc vs BN */,
  {0x000019,0} /* Cc vs BN */,
  {0x000005,0} /* Cc vs BN */,
  {0x00009e,0} /* Cc vs BN */,
  {0x00fffa,1} /* Cf vs ON */,
  {0x000013,0} /* Cc vs BN */,
  {0x00fffb,1} /* Cf vs ON */,
  {0x000098,0} /* Cc vs BN */,
};
static INLINE LiqUInt32 liq_trans_hash_0 (LiqUInt32 x) {
    return (((LIQ_UINT32_C(1717348160) * x)) % LIQ_UINT32_C(37));
}
static INLINE LiqUInt32 liq_trans_hash_1 (LiqUInt32 x) {
    return (((LIQ_UINT32_C(2110819262) * x)) % LIQ_UINT32_C(37));
}
static liq_trans_map_t const *liq_trans_lookup (LiqUInt32 x)
{
    liq_trans_map_t const *result;
    LiqUInt32 index;
    assert (((LiqUInt32)(((LiqUInt32)0) - ((LiqUInt32)1))) >= 1 || "LiqUInt32 is signed");
    index= liq_trans_hash_0 (x);
    assert (index < LIQ_UINT32_C(37));
    result= &liq_trans_map_0[index];
    if (LIQ_TRANS_MAP_KEY_MATCH(result,x))
        return result;
    index= liq_trans_hash_1 (x);
    assert (index < LIQ_UINT32_C(37));
    result= &liq_trans_map_1[index];
    if (LIQ_TRANS_MAP_KEY_MATCH(result,x))
        return result;
    return NULL;
}
/* 70 keys, 74 slots (94.59% utilisation) */
